# Uses of Interface
org.opensaml.xmlsec.signature.PGPKeyID

Packages that use PGPKeyID
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of PGPKeyID in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return PGPKeyID
Modifier and Type
Method
Description
`PGPKeyID`
PGPData.`getPGPKeyID()`
Get PGPKeyID child element.
Methods in org.opensaml.xmlsec.signature with parameters of type PGPKeyID
Modifier and Type
Method
Description
`void`
PGPData.`setPGPKeyID(PGPKeyID newPGPKeyID)`
Set PGPKeyID child element.

## Uses of PGPKeyID in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement PGPKeyID
Modifier and Type
Class
Description
`class`
`PGPKeyIDImpl`
Concrete implementation of `PGPKeyID`.
Fields in org.opensaml.xmlsec.signature.impl declared as PGPKeyID
Modifier and Type
Field
Description
`private PGPKeyID`
PGPDataImpl.`pgpKeyID`
PGPKeyID child element value.
Methods in org.opensaml.xmlsec.signature.impl that return PGPKeyID
Modifier and Type
Method
Description
`PGPKeyID`
PGPKeyIDBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`PGPKeyID`
PGPKeyIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PGPKeyID`
PGPDataImpl.`getPGPKeyID()`
Get PGPKeyID child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type PGPKeyID
Modifier and Type
Method
Description
`void`
PGPDataImpl.`setPGPKeyID(PGPKeyID newPGPKeyID)`
Set PGPKeyID child element.